<template>
  <transition
    enter-active-class="transition-opacity duration-75"
    enter-from-class="opacity-0"
    enter-to-class="opacity-100"
    leave-active-class="transition-opacity duration-150"
    leave-from-class="opacity-100"
    leave-to-class="opacity-0"
  >
    <div
      class="flex items-start gap-4 p-4 my-4 text-sm text-yellow-700 bg-yellow-100 rounded-lg dark:bg-mbz-yellow dark:text-yellow-800"
      role="alert"
      v-show="showReportWarning"
    >
      <div class="flex flex-wrap justify-center">
        <p
          class="text-base"
          v-html="
            $gettext(
              '%{indexName} displays events and groups that match your search but is not the publisher, nor the owner. If you notice any problems with an event, report it to the administrators on the Mobilizon website where the event is published.',
              { indexName },
              true
            )
          "
        />
        <button
          class="px-5 py-3 font-medium text-white bg-yellow-700 rounded"
          @click="dismissReportWarning"
        >
          {{ $gettext('Understood') }}
        </button>
      </div>
      <button
        class="hidden md:block opacity-90"
        type="button"
        @click="dismissReportWarning"
      >
        <span class="sr-only">{{ $gettext('Close') }}</span>

        <svg
          class="w-4 h-4"
          xmlns="http://www.w3.org/2000/svg"
          viewBox="0 0 20 20"
          fill="currentColor"
        >
          <path
            fill-rule="evenodd"
            d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z"
            clip-rule="evenodd"
          />
        </svg>
      </button>
    </div>
  </transition>
</template>

<script setup lang="ts">
  import { computed, inject, ref } from 'vue'
  import { ServerConfig } from '../../../shared'
  const hasDismissedReportWarning = ref(
    localStorage?.getItem('hasDismissedReportWarning') === 'true'
  )

  const showReportWarning = computed(() => !hasDismissedReportWarning.value)

  const dismissReportWarning = () => {
    hasDismissedReportWarning.value = true
    localStorage?.setItem('hasDismissedReportWarning', 'true')
  }

  const config = inject<ServerConfig>('config')

  const indexName = computed(
    () => `<strong>${config.searchInstanceName}</strong>`
  )
</script>
